/********************************************************************************************
(C) Jakub Borzdynski 2009
jotbeage@interia.pl
-----------------------------

********************************************************************************************/
//definicje
#define F_CPU 3686400UL

#ifndef jb_eeprom_h
#define jb_eeprom_h
#define sbi(port, bit) port|=(1<<bit)
#define cbi(port, bit) port&=~(1<<bit)
#include <avr/io.h> //definicje rejestrow uK

class eeprom{
	public:
	eeprom() ; //konstruktor
	void write(unsigned char addr, unsigned char val) ; //zapisuje bajt do wybranej komorki
	unsigned char read(unsigned char addr) ; //odczytuje bajt z pamieci EEPROM
};

extern eeprom memory ;

#endif