/********************************************************************************************
(C) Jakub Borzdynski 2009
jotbeage@interia.pl
-----------------------------

********************************************************************************************/
//definicje
#define F_CPU 1000000UL

#ifndef jb_eeprom_cpp
#define jb_eeprom_cpp
#include "eeprom.h"

//konstruktor
eeprom::eeprom(){
	;
}

//zapisuje bajt do wybranej komorki
void eeprom::write(unsigned char addr, unsigned char val){
	//czy mozna zapisywac ?
	while(bit_is_set(EECR, EEPE)){;}

	//zapis danych
	EEAR = addr & 0x7F ; //zapisz adres
	EEDR = val ; //zapisz dane do rejestru
	EECR = 0x04 ;
	EECR = 0x06 ;
}

//odczytuje bajt z pamieci EEPROM
unsigned char eeprom::read(unsigned char addr){
	EEAR = addr & 0x7F ; //zapisz adres
	sbi(EECR, EERE) ; //odczytaj bajt
	return EEDR ;
}

eeprom memory ;

#endif